{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}"
  rel="stylesheet" />
<link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
<script src="{% static 'assets/plugins/sweetalert/sweetalert.min.js' %}"></script>
{% endblock %}

{% block title %}Indicadores{% endblock %}
{% block page %}

<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item">Finanzas</li>
  <li class="breadcrumb-item">Administración</li>
  <li class="breadcrumb-item active">Indicadores</li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header">Gestión de Indicadores Económicos</h1>
<!-- end page-header -->
<!-- begin row -->
<div class="row">
  <!-- begin col-6 -->
  <div class="col-xl-12">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="table-basic-1">
      <!-- begin panel-heading -->
      <div class="panel-heading">
        <h4 class="panel-title">Lista de indicadores</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i
              class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i
              class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i
              class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i
              class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <div class="panel-body">
        <div class="row mb-3">
          <form class="form-inline">
            {% if perms.customers.add_indicators %}
            <button type="button" class="btn btn-outline-primary" data-toggle="modal" data-target="#indicatorModal">
              <i class="fa fa-plus"></i> Actualizar indicador
            </button>
            {%endif%}
          </form>
        </div>
        <table id="indicator" cellspacing="0" class="table table-hover">
          <thead>
            <tr>
              <th style="text-align: center">TIPO</th>
              <th style="text-align: center">CREACIÓN</th>
              <th style="text-align: center">VALOR</th>
            </tr>
          </thead>
          <tbody>
          </tbody>
        </table>
      </div>
      <!-- end panel-body -->
    </div>
    <!-- end panel -->
  </div>
  <!-- end col-12 -->
</div>
<div id="indicatorModal" class="modal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Actualización de indicadores</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <!-- MODAL BODY -->
        <form id="formIndicator">
          <fieldset>
            <div class="form-group">
              <label for="type" class="control-label m-r-10">Tipo de documento</label>
              <select id="type" class="form-control">
                <option value="">---- Seleccione ----</option>
                {% for i in indicators_options %}
                <option value="{{i.0}}">{{i.1}}</option>
                {% endfor %}
              </select>
            </div>
            <div class="form-group">
              <label for="last">Valor</label>
              <input type="number" class="form-control"
                title="En caso de valor porcentual ingrese el valor en decimales. Ej: 19% = 0.19" id="value"
                placeholder="Ingrese el valor del  inicador." required>
            </div>
          </fieldset>
        </form>
        <!-- END MODAL BODY -->
      </div>
      <div class="modal-footer">
        <button id="createIndicator" type="button" class="btn btn-primary">Guardar cambios</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- end row -->
<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i
    class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}
{% block pageleveljs %}
<script>
//active menu
  document.getElementById("finances_menu").classList.add("active");
  //active submenu item
  document.getElementById("finance-admins").classList.add("active");
  
  document.getElementById("indicators").classList.add("active");
</script>
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"
  defer></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/indicators.js' %}"></script>
{% endblock %}